1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Logic 7 & earlier Logic 7.2.3 on MacOSX 10.8.3

Discussion in 'Logic 7 and older Versions' started by songman, Oct 19, 2013.

  1. songman

    songman Member

    It works perfectly on MacOSX 10.6.8. Does it work on 10.8.3? Any hints greatly appreciated, cheers, Bob.

Share This Page